Debian DSA-1178-1 : freetype - integer overflow

High Nessus Plugin ID 22720

Synopsis

The remote Debian host is missing a security-related update.

Description

It was discovered that an integer overflow in freetype's PCF font code may lead to denial of service and potential execution of arbitrary code.

Solution

Upgrade the freetype package.

For the stable distribution (sarge) this problem has been fixed in version 2.1.7-6.

See Also

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=379920

http://www.debian.org/security/2006/dsa-1178

Plugin Details

Severity: High

ID: 22720

File Name: debian_DSA-1178.nasl

Version: 1.12

Type: local

Agent: unix

Published: 2006/10/14

Updated: 2018/07/20

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:freetype, cpe:/o:debian:debian_linux:3.1

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Patch Publication Date: 2006/09/16

Reference Information

CVE: CVE-2006-3467

DSA: 1178